Subject: Re: [PATCH 18/19] bootwrapper: Add xlate_reg(), and use it to find serial registers.

From: David Gibson <[email-masked]>
Date: Tue, 13 Feb 2007 15:30:44 +1100

On Mon, Feb 12, 2007 at 03:10:15PM -0600, Josh Boyer wrote:
> On Mon, 2007-02-12 at 10:45 -0600, Scott Wood wrote:
> > Mark A. Greer wrote:
> > > On Wed, Feb 07, 2007 at 05:01:45PM -0600, Scott Wood wrote:
> > > 
> > >>xlate_reg() uses the ranges properties of a node's parentage to find the
> > >>absolute physical address of the node's registers.
> > >>
> > >>The ns16550 driver uses this when no virtual-reg property is found.
> > > 
> > > 
> > > Is this necessary?  Shouldn't there always be a virtual-reg?
> > 
> > None of the dts files in the kernel tree currently have such a property...
> 
> 4xx will use this.  The bootwrapper will use the UART mapping setup by
> the firmware to print out to the console.  At least that is why it was
> added to being with, and how I had it working on Ebony a while ago.
> David may have changed it since.

No, I'm using virtual-reg on Ebony.  In fact I think I'm using your
code for it.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson